# qpm-dependencies

> Maven 统一依赖管理

## 功能特性

- 统一管理 jar 版本
- 简化项目中的 pom.xml
- 默认引入常用 jar、plugins 及配置公共配置

## 如何使用

在你的 `pom.xml` 中加入如下代码：

```xml
<parent>
    <groupId>com.qipeng</groupId>
    <artifactId>qpm-parent</artifactId>
    <version>${version}</version>
</parent>
```

[点击查看最新版本](http://nexus.taovip.com/nexus)。

### Example

```xml
<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>com.qipeng</groupId>
        <artifactId>qpm-parent</artifactId>
        <version>${version}</version>
    </parent>

    <artifactId>finance-mall</artifactId>
    <packaging>pom</packaging>
    <version>1.0.0-SNAPSHOT</version>

    <modules>
        <module>finance-mall-impl</module>
        <module>finance-mall-domain</module>
        <module>finance-mall-rest</module>
    </modules>
</project>
```

## Maintainers

- 架构组

