package com.qipeng.checkstyle.demo;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PatchMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 测试 Checkstyle 的控制器。
 *
 * @author tieguanyin
 */
@RestController
// @Controller
// @ResponseBody
@RequestMapping("/foo")
@SuppressWarnings("all")
public class DemoController {

  private static final Logger logger = LoggerFactory.getLogger(DemoController.class);

  @RequestMapping("/bar")
  // @ResponseBody
  public String get() {
    return null;
  }

  @PostMapping("/bar")
  public String post() {
    return null;
  }

  @PutMapping("/bar")
  // @ResponseBody
  public String put() {
    return null;
  }

  @PatchMapping("/bar")
  public String patch() {
    return null;
  }

  @DeleteMapping("/bar")
  // @ResponseBody
  public void delete() {
  }
}
